Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.util
Class DefaultProperties.Prop

    java.lang.Object
      |
      +--jpos.util.DefaultProperties.Prop

All Implemented Interfaces:
  Comparable, JposProperties.Prop

Enclosing class:
  DefaultProperties

public static class DefaultProperties.Prop
extends java.lang.Object
implements JposProperties.Prop

Simple wrapper class for a property pair

Since:
  1.3 (Washington DC 2001)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Constructor Summary
`DefaultProperties.Prop(java.lang.String name, java.lang.String value)` Creates a new Prop with name and value passed

Method Summary
`int` | `compareTo(JposProperties.Prop other)`
`int` | `compareTo(java.lang.Object other)` Compares this and other arguments for order
`boolean` | `equals(java.lang.Object otherProp)` Indicates this object is "equal to" the other
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String s)` Sets the value of this property
`void` | `setValue(java.lang.String s)` Sets the value of this property
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultProperties.Prop

    public DefaultProperties.Prop(java.lang.String name,
                                  java.lang.String value)

  Creates a new Prop with name and value passed
  Parameters:
    `name` - this prop's name
    `value` - this prop's value

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JposProperties.Prop`
  Returns:
    the name of this property

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `JposProperties.Prop`
  Returns:
    the value of this property

### setName

    public void setName(java.lang.String s)

  Sets the value of this property
  Specified by:
    `setName` in interface `JposProperties.Prop`
  Parameters:
    `s` - the new prop name

### setValue

    public void setValue(java.lang.String s)

  Sets the value of this property
  Specified by:
    `setValue` in interface `JposProperties.Prop`
  Parameters:
    `s` - the name String

### compareTo

    public int compareTo(JposProperties.Prop other)

  Specified by:
    `compareTo` in interface `JposProperties.Prop`
  Parameters:
    `other` - the other object to compare against this
  Returns:
    0 if 2 objects same -1 if this is less or +1 if this is more than other

### compareTo

    public int compareTo(java.lang.Object other)

  Description copied from interface: `Comparable`
  Compares this and other arguments for order
  Specified by:
    `compareTo` in interface `JposProperties.Prop`
  Parameters:
    `other` - the other object to compare against this
  Returns:
    0 if 2 objects same -1 if this is less or +1 if this is more than other

### equals

    public boolean equals(java.lang.Object otherProp)

  Description copied from interface: `Comparable`
  Indicates this object is "equal to" the other
  Specified by:
    `equals` in interface `Comparable`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherProp` - the other Prop object
  Returns:
    true if this is logically equivalent to the other Prop

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String representation of this property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details